Summary: diskdump utilities
Name: diskdumputils
Version: 1.1.9
Release: 3
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: System Environment/System
BuildRoot: %{_tmppath}/%{name}-root
ExclusiveArch: i386 ia64 x86_64
BuildRequires: glib2-devel
Requires: glib2

%description
The diskdump utilities set up the kernel to save memory image to
the specified partition.

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT make install

%clean
rm -rf $RPM_BUILD_ROOT

%pre
/usr/sbin/groupadd -g 34 -r -f netdump 2>/dev/null 1>&2 || :
/usr/sbin/useradd -c "Network Crash Dump user" -r -u 34 -g netdump \
    -s /bin/bash -r -d /var/crash netdump 2>/dev/null || :

%post
/sbin/chkconfig --add diskdump
# initialize the required bits for negotiating shared secrets, if necessary

%preun
if [ $1 = 0 ]; then
	/sbin/service diskdump stop > /dev/null 2>&1
	/sbin/chkconfig --del diskdump
fi


%files
%defattr(-,root,root)
%config(noreplace) %attr(0644,root,root)/etc/sysconfig/diskdump
/etc/rc.d/init.d/diskdump
%{_mandir}/man8/diskdumpctl.8*
%{_mandir}/man8/diskdumpfmt.8*
%{_mandir}/man8/savecore.8*
%dir %attr(-,netdump,netdump)/var/crash
%dir %attr(-,netdump,netdump)/var/crash/scripts
%doc README
%doc example_scripts
/usr/sbin/diskdumpctl_proc
/usr/sbin/diskdumpctl
/usr/sbin/diskdumpfmt
/usr/sbin/savecore

%changelog
* Tue Aug 23 2005 Akira Imamura <aimamura@redhat.com> 1.1.9-3
  Updated source package to diskdumputils-1.1.9.tar.gz:
  - Restores the code which converts zeroed pages to file holes.
    BZ #166223
* Fri Jul 15 2005 Akira Imamura <aimamura@redhat.com> 1.1.7-1
  Updated source package to diskdumputils-1.1.7.tar.gz:
  - CCISS support. BZ #128788
  - Removed the configuration line reference to the as-of-yet 
    unsupported PRESERVEDUMP feature from the sysconfig.diskdump file.
* Wed Jul 06 2005 Akira Imamura <aimamura@redhat.com> 1.1.4-1
  Updated source package to diskdumputils-1.1.4.tar.gz, which adds
  multiple PT_LOAD segments support.  BZ #149753
* Thu Mar 03 2005 Akira Imamura <aimamura@redhat.com> 1.0.1-4
- Remove obsolete devlabel from Requires:
* Tue Mar 01 2005 Akira Imamura <aimamura@redhat.com> 1.0.1-0
- Updated source package to diskdumputils-1.0.1.tar.gz, which adds
  support for disk host adapters controlled by the sym53c8xx, 
  sata_promise, and ata_piix disk drivers.
- User-space portion of FZ #132466, diskdumpfmt performance improvement.
- Updated to use glib2 instead of glib1.  BZ #136227, BZ #148998
- Added missing a BuildRequires for glib2-devel.  BZ #132872
- Deleted dead code to avoid compiler complaint.  BZ #143202
- Fix for compiler complaint by making a variable static. BZ #136147
* Thu Jun 17 2004 Nobuhiro Tachine <ntachino@redhat.com> 0.4.0-1
  addition of ia64 and mptfusion support
* Sun Jun  6 2004 Nobuhiro Tachino <ntachino@redhat.com> 0.4.0
- version up for release
* Sun Jun  6 2004 Nobuhiro Tachino <ntachino@redhat.com> 0.3.52
- x86-64 support
* Sat Jun  5 2004 Nobuhiro Tachino <ntachino@redhat.com> 0.3.51
- Code cleanup. Separating architecture dependent code.
* Wed Jun  2 2004 Dave Anderson <anderson@redhat.com> 0.3.2-1
  Changed Source0 to .gz (from .bz2) 
  Added archive creation to Makefile (as done by netdump)
* Mon May 28 2004 Tatsuo Uchida <tuchida@redhat.com>
- v0.3.50 IPF start
* Thu May 21 2004 Nobuhiro Tachino <ntachino@redhat.com>
- v0.3.0
- README description of module parameters are revised according to Dave Anderson.
* Thu May 20 2004 Nobuhiro Tachino <ntachino@redhat.com>
- v0.2.99
- Fixed by Dave Anderson's review
- Whole English in manuals and README were updated.
- FIxed invalid size specified in ftruncate().
- diskdump has its own script diskdump-nospace instead of netdump-nospace.
- add diskdump-nospace sample. 
* Thu May 10 2004 Nobuhiro Tachino <ntachino@redhat.com>
- v0.1.9 IDE dump support
* Thu Mar  3 2004 Nobuhiro Tachino <ntachino@redhat.com>
- v0.0.2 memory hole support
* Thu Feb 18 2004 Nobuhiro Tachino <ntachino@redhat.com>
- Initial build.
